// DlgConfigNiveau.cpp : implementation file
//

#include "stdafx.h"
#include "MakeTerrain.h"
#include "DlgConfigNiveau.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgConfigNiveau dialog


CDlgConfigNiveau::CDlgConfigNiveau(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgConfigNiveau::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgConfigNiveau)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDlgConfigNiveau::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgConfigNiveau)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgConfigNiveau, CDialog)
	//{{AFX_MSG_MAP(CDlgConfigNiveau)
	ON_BN_CLICKED(IDC_RADIO_PARTOUT, OnRadioPartout)
	ON_BN_CLICKED(IDC_RADIO_EGALE, OnRadioEgale)
	ON_BN_CLICKED(IDC_RADIO_DESSOUS, OnRadioDessous)
	ON_BN_CLICKED(IDC_RADIO_DESSUS, OnRadioDessus)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgConfigNiveau message handlers

BOOL CDlgConfigNiveau::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CheckRadioButton (IDC_RADIO_PARTOUT,IDC_RADIO_DESSUS,IDC_RADIO_PARTOUT + TypePlaquage);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgConfigNiveau::OnRadioPartout() 
{
	TypePlaquage = TEXTURE_NIV_PARTOUT;
}

void CDlgConfigNiveau::OnRadioEgale() 
{
	TypePlaquage = TEXTURE_NIV_EGALE;
}

void CDlgConfigNiveau::OnRadioDessous() 
{
	TypePlaquage = TEXTURE_NIV_DESSOUS;
}

void CDlgConfigNiveau::OnRadioDessus() 
{
	TypePlaquage = TEXTURE_NIV_DESSUS;
}



void CDlgConfigNiveau::OnOK() 
{
	TypePlaquage = GetCheckedRadioButton(IDC_RADIO_PARTOUT,IDC_RADIO_DESSUS) - IDC_RADIO_PARTOUT;
	CDialog::OnOK();
}
